.\"	$NetBSD: dmv.4,v 1.10 2002/01/15 02:06:30 wiz Exp $
.\"
.\" Copyright (c) 1988, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dmv.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DMV 4 vax
.Os
.Sh NAME
.Nm dmv
.Nd
.Tn DEC
.Tn DMV-11
point-to-point serial communications device
.Sh SYNOPSIS
.Cd "dmv0 at uba0 csr 167000 vector dmvrint dmvxint"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm dmv
interface provides access to a point-to-point communications
device which runs at up to 56 Kb/s.
.Tn DMV-11 Ns s
communicate
using the
.Tn DEC
.Tn DDCMP
link layer protocol.
.Pp
The host's address must be specified with an
.Dv SIOCSIFADDR
.Xr ioctl 2 ,
and the destination address specified with a
.Dv SIOCSIFDSTADDR
.Xr ioctl 2 ,
before the interface will transmit or receive any packets.
.Sh ROUTING
The driver places a
.Tn HOST
entry in the kernel routing tables for the
address given in the
.Dv SIOCSIFDSTADDR
.Xr ioctl 2 .
To use the
.Tn DMV
as a
link between local nets, the route to the remote net must be added manually
with the
.Xr route 8
command, or by the use of the routing process
.Xr routed 8
on each end of the link.
.Sh DIAGNOSTICS
.Bl -diag
.It dmvprobe: can't start device.
.It "dmvprobe: device init failed, bsel4=%o, bsel6=%o."
The probe routine was unable to start the device.
.Pp
.It dmvinit: dmv%d not running.
.It dmvrestart: can't start device.
.It "dmv%d: device init failed, bsel4=%o, bsel6=%o."
The initialization/restart routine was unable to start the device.
.Pp
.It dmv%d: far end on-line.
The other end of the connection has come online.
.Pp
.It dmv%d: far end restart.
The other end of the line has restarted.
.Pp
.It dmv%d: bad control %o.
A bad parameter was passed to the
.Em dmvload
routine.
.Pp
.It "dmvxint: dmv%d bad rcv pkt addr 0x%x len 0x%x."
A bad packet was received.
.Pp
.It "dmv%d: bad packet address 0x%x."
An input packet was received which contained a type of
address unknown to the driver.
.Pp
.It "dmvxint: dmv%d unallocated packet 0x%x."
A protocol error has occurred with the board.
.Pp
.It "dmvoutput, dmv%d can't handle af%d."
A packet for an unsupported address family has been sent.
.Pp
.It "dmv%d: output timeout, bsel0=%b bsel2=%b."
A device timeout occurred.
.El
.Pp
Numerous other device errors may be displayed.
.Sh SEE ALSO
.Xr dmc 4 ,
.Xr inet 4 ,
.Xr intro 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 tahoe .
